InvitesManager (invites-common-library 1.0.0-3.9.0 API)
Date: 2015-12-03

org.gcube.portal.invites

## Class InvitesManager

- java.lang.Object
- - org.gcube.portal.invites.InvitesManager

-     public class InvitesManager
      extends Object

  Author:
    Massimiliano Assante

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static String` | `convertHTML2Text(String html)` Convert html into simple text
    `static InvitesManager` | `getInstance()`
    `static org.gcube.portal.databook.server.DatabookStore` | `initStore()`
    `static void` | `notifyInviteSent(String username, String scope, String portalbasicurl, String gatewayName, org.gcube.portal.databook.shared.Invite invite)`
    `org.gcube.portal.databook.shared.InviteOperationResult` | `sendInvite(org.gcube.application.framework.core.session.ASLSession aslSession, String portalSenderEmail, String portalURL, String name, String lastName, String email, String vreDescription)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static InvitesManager getInstance()

    - #### initStore

          public static org.gcube.portal.databook.server.DatabookStore initStore()

      Returns:
        the unique instance of the store

    - #### sendInvite

          public org.gcube.portal.databook.shared.InviteOperationResult sendInvite(org.gcube.application.framework.core.session.ASLSession aslSession,
                                                                          String portalSenderEmail,
                                                                          String portalURL,
                                                                          String name,
                                                                          String lastName,
                                                                          String email,
                                                                          String vreDescription)

    - #### convertHTML2Text

          protected static String convertHTML2Text(String html)

      Convert html into simple text

    - #### notifyInviteSent

          public static void notifyInviteSent(String username,
                              String scope,
                              String portalbasicurl,
                              String gatewayName,
                              org.gcube.portal.databook.shared.Invite invite)

      Parameters:
        `scope` - .
        `optionalMessage` - .

Copyright © 2015. All Rights Reserved.